Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.e4.handlers
Class DeleteProjectHandler

    java.lang.Object
      org.eclipse.emf.ecp.ui.e4.handlers.DeleteProjectHandler

    public class DeleteProjectHandler

extends Object

Handler to delete selected projects.

Author:
  Jonas

Constructor Summary
`DeleteProjectHandler()`

Method Summary
`boolean` | `canExecute(ECPProject ecpProject, List<ECPProject> ecpProjects)` Checks if a single project or a list of projects are selected.
`void` | `execute(org.eclipse.swt.widgets.Shell shell, ECPProject ecpProject, List<ECPProject> ecpProjects)` Deletes a project or a list of projects, based on the selection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteProjectHandler

    public DeleteProjectHandler()

Method Detail

### execute

    @Execute
    public void execute(org.eclipse.swt.widgets.Shell shell,
                                @Named(value="org.eclipse.ui.selection")@Optional
                                ECPProject ecpProject,
                                @Named(value="org.eclipse.ui.selection")@Optional
                                List<ECPProject> ecpProjects)

  Deletes a project or a list of projects, based on the selection.

  Parameters:
    `shell` - the current shell to display a confimation dialog.
    `ecpProject` - an `ECPProject`, if only one is selected or null.
    `ecpProjects` - a List of `ECPProject`s, is several projects are selected or null

### canExecute

    @CanExecute
    public boolean canExecute(@Named(value="org.eclipse.ui.selection")@Optional
                                         ECPProject ecpProject,
                                         @Named(value="org.eclipse.ui.selection")@Optional
                                         List<ECPProject> ecpProjects)

  Checks if a single project or a list of projects are selected.

  Parameters:
    `ecpProject` - an `ECPProject`, if only one is selected or null.
    `ecpProjects` - a List of `ECPProject`s, is several projects are selected or null
  Returns:
    true, if either a single project or a list of projects are selected

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.